Deployment cohorts
Update deployment cohort
Authorization
API key Deployments: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Deployments: write
Path Parameters
workspaceId*string
Format
uuiddeploymentCohortId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/deployment-cohorts/m3Yg84tDx7Rn" \ -H "Content-Type: application/json" \ -d '{ "name": "Field test devices (EU)" }'Updated deployment cohort.
{ "id": "m3Yg84tDx7Rn", "name": "Field test devices (EU)", "createdAt": "2026-01-07T10:00:00+00:00"}